<template>
  <q-dialog
    v-model="showDialog"
    persistent
    @shake="$emit('hide')"
  >
    <q-card class="dialog-video">
      <q-video
        :ratio="16/9"
        :src="url"
      />
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  name: 'DialogVideo',
  props: {
    url: {
      type: String,
      required: true
    },
    showDialog: {
      type: Boolean,
      required: true
    }
  }
}
</script>
